#ifndef REALTIMECLOCK_H_INCLUDED
#define REALTIMECLOCK_H_INCLUDED

#include "../types/mytypes.h"

extern const char daynames[7][3];
#define FIRSTDAYOFWEEK 1
void RealTime_OneSecondOver(void);

extern void OneMinuteTick(void);

t_datetime RealTime_GetDateTime(void);
void RealTime_SetDateTime(const t_datetime *datetime);


void RealTime_IncrementHour(t_datetime *time);
void RealTime_DecrementHour(t_datetime *time);
void RealTime_IncrementMinute(t_datetime *time);
void RealTime_DecrementMinute(t_datetime *time);
void RealTime_IncrementSecond(t_datetime *time);
void RealTime_DecrementSecond(t_datetime *time);


void RealTime_IncrementDay(t_datetime *date);
void RealTime_IncrementMonth(t_datetime *date);
void RealTime_IncrementYear(t_datetime *date);
void RealTime_DecrementDay(t_datetime *date);
void RealTime_DecrementMonth(t_datetime *date);
void RealTime_DecrementYear(t_datetime *date);
#endif // REALTIMECLOCK_H_INCLUDED
