#include <stdint.h>
#ifndef DISPLAYROUTINES_H_INCLUDED
#define DISPLAYROUTINES_H_INCLUDED

#include "../driver/nokia3310library\lcd.h"

#define DisplayRows 6
#define DisplayColumns 14

//void InitDisplay();
//void DeInitDisplay();
//void SetCursor(uint8_t x, uint8_t y);
#define PrintStringPos( x, y, s) {lcd_goto_xy((x) + 1 ,(y) + 1); lcd_str(s,0);}
//void PrintStringPos(uint8_t x, uint8_t y, char *s);
#define PrintString(s) {lcd_str(s,0);}
//void PrintString(char *s);
#define PrintCharPos( x, y, c) {    lcd_goto_xy((x) + 1 ,(y) + 1); lcd_chr(c);}
//void PrintCharPos(uint8_t x, uint8_t y, char c);
#define PrintChar(c) {lcd_chr(c);}
//void PrintChar( char c);
#define Highlight(y) {lcd_goto_xy( 1 ,y + 1); lcd_chr(ARROW_RIGHT);}
#define HighlightInvers(y, s) {lcd_goto_xy( 1 ,(y) + 1);lcd_str(s,1);}
//void Highlight(uint8_t y);
#define DeHighlight(y) {PrintCharPos(1, (y), ' ');}
//void DeHighlight(uint8_t y);
#define Clear() {lcd_clear();}
//void Clear();

#endif // DISPLAYROUTINES_H_INCLUDED
