#include <avr/io.h>

#include "./apps.h"
#include "../menu/displayroutines.h"
#include "../menu/menu.h"
#include "../driver/backlight.h"
#include "../types/ranged.h"



void BackLightApplication(uint8_t Button){
    switch (Button){
     case TICK: return;
     case OK:
         ActiveApplication = &MenuApplication;
         ExitItem();
         return;
     case UP:
        rangedInc_uint8_t((t_ranged_uint8_t *)&BackLightPWM);
        break;
     case DOWN:
        rangedDec_uint8_t((t_ranged_uint8_t *)&BackLightPWM);
        break;
     case RIGHT:
        break;
    }
    char buffer[3];
    utoa( BackLightPWM.value, buffer, 10);
    PrintStringPos(7,1,"    ");
    PrintStringPos(7,1,buffer);
}
